Extending Qt Creator Manual | ProcessStep

Extending Qt Creator Manual 4.7.1

# ProcessStep Class

(ProjectExplorer::Internal::ProcessStep)

- List of all members, including inherited members

## Public Functions

| ProcessStep(ProjectExplorer::BuildStepList *bsl)
int | arguments() const
int | command() const
ProjectExplorer::BuildStepConfigWidget * | createConfigWidget()
bool | immutable() const
bool | init(int &earlierSteps) override
void | run(int &) override
void | setArguments(const int &arguments)
void | setCommand(const int &command)
void | setWorkingDirectory(const int &workingDirectory)
int | toMap() const override
int | workingDirectory() const

## Member Function Documentation

### ProcessStep::ProcessStep(ProjectExplorer::BuildStepList *bsl)

Default constructs an instance of ProcessStep.

### int ProcessStep::arguments() const

See also setArguments().

### int ProcessStep::command() const

See also setCommand().

### ProjectExplorer::BuildStepConfigWidget *ProcessStep::createConfigWidget()

### bool ProcessStep::immutable() const

### bool ProcessStep::init(int &earlierSteps)

### void ProcessStep::run(int &)

### void ProcessStep::setArguments(const int &arguments)

See also arguments().

### void ProcessStep::setCommand(const int &command)

See also command().

### void ProcessStep::setWorkingDirectory(const int &workingDirectory)

See also workingDirectory().

### int ProcessStep::toMap() const

### int ProcessStep::workingDirectory() const

See also setWorkingDirectory().